From 8bdf05fd255e0d07fdc61c2b04a5333c9e8dc729 Mon Sep 17 00:00:00 2001
From: Paul Zander <negril.nx+gentoo@gmail.com>
Date: Tue, 14 Jan 2025 12:41:12 +0100
Subject: [PATCH] fix pegtl-3.x

Signed-off-by: Paul Zander <negril.nx+gentoo@gmail.com>

diff --git a/Common/DataModel/vtkCellAttribute.cxx b/Common/DataModel/vtkCellAttribute.cxx
index 3c022ef..1ed1f66 100644
--- a/Common/DataModel/vtkCellAttribute.cxx
+++ b/Common/DataModel/vtkCellAttribute.cxx
@@ -595,10 +595,10 @@ bool vtkCellAttribute::DecodeSpace(
   {
     if (!quiet)
     {
-      const auto p = err.positions.front();
+      const auto p = err.positions().front();
       vtkGenericWarningMacro("Attribute Space: " << err.what() << "\n"
-                                                 << in.line_at(p) << "\n"
-                                                 << std::string(p.byte_in_line, ' ') << "^\n");
+                                                 << std::string(in.line_at(p)) << "\n"
+                                                 << std::string(p.column, ' ') << "^\n");
     }
     return false;
   }
diff --git a/ThirdParty/pegtl/Testing/Cxx/TestIncludePEGTL.cxx b/ThirdParty/pegtl/Testing/Cxx/TestIncludePEGTL.cxx
index 866b313..b324d26 100644
--- a/ThirdParty/pegtl/Testing/Cxx/TestIncludePEGTL.cxx
+++ b/ThirdParty/pegtl/Testing/Cxx/TestIncludePEGTL.cxx
@@ -1,6 +1,6 @@
 #include "vtk_pegtl.h"
 // clang-format off
-#include VTK_PEGTL(pegtl/contrib/tracer.hpp)
+#include VTK_PEGTL(pegtl/contrib/trace.hpp)
 // clang-format on
 
 #include <cstdlib>
-- 
2.48.0

